
/*=============================================================================
   rtf2htm, a command-line program to convert RTF-formatted documents to HTML.
   Copyright (C) 2000,2001 Zachary Thayer Smith

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

   The author is reachable by electronic mail at tuorfa@yahoo.com.
=============================================================================*/


/*----------------------------------------------------------------------
 * Module name:    error
 * Author name:    Zach Smith
 * Create date:    1 Sept 2000
 * Last change:    8 Oct 2000
 * Purpose:        Management of errors and warnings, when reporting
 *                 the source code file/line is not necessary.
 *----------------------------------------------------------------------
 * Changes
 *  tuorfa@yahoo.com, 10 Oct 00: added usage()
 *  tuorfa@yahoo.com, 15 Oct 00: improved output readability
 *--------------------------------------------------------------------*/


#include <stdio.h>

#include "defs.h"
#include "main.h"


void
usage ()
{
	fprintf (stderr, "usage: %s\n", USAGE);
	exit(-3);
}


void
error_handler (char* message)
{
	fprintf (stderr, "At input line %u, ", lineno);
	fprintf (stderr, "a fatal error: %s\n", message);
	exit(10);
}

void
warning_handler (char* message)
{
	fprintf (stderr, "At input line %u, ", lineno);
	fprintf (stderr, "a warning: %s\n", message);
}
